#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int n;

    cin >> n;

    int a_i;
    double p_i;

    set<double> p;
    unordered_map<double, int> ap;

    double t[n];
    t[0] = 0;

    for (int i = 0; i < n; i++) {
        cin >> a_i >> p_i;

        p.insert(p_i);
        t[0] += a_i;
        ap[p_i] += a_i;
    }

    int i = 1;
    for (double const& x : p) {
        t[i] = t[i - 1] - ap[x];
        i++;
    }

    i = 0;
    for (double const& x : p) {
        t[i] *= x / 100.0d;
        i++;
    }

    double best = 0;

    for (i = 0; i < n; i++) {
        best = max(t[i], best);
    }

    cout << setprecision(4) << fixed << best;
}